#49 latest xorg-patch and drm seem incompatible

X-driver,_Xv
closed-fixed
nobody
1
2005-10-25
2005-06-16
the_mgt
No

I installed xorg-6.8.2-r1 from gentoo portage with unichrome
patches and drm from sourceforge according to your howto,
on two epia boards this weekend. Everything was fine.
Today i tried to build it again on one of them, but xorg won't
load the drm module. Both, patches and drm were freshly
fetched today.
I tried drm from today and from 12.06.
Tommorrow i will try out cvs drm from 10.06. but i think it is
the xorg patch.

The boards i used:
Epia MII6000 and ME6000, both cle266.

(I don't know if this counts as real bug, but the cvs install
method worked fine thruout the last 3 month. I just wanted to
tell you that things don't work so smooth anymore.)

Discussion

  • the_mgt
    the_mgt
    2005-06-16

    xorg log

     
    Attachments
  • the_mgt
    the_mgt
    2005-06-16

    • priority: 5 --> 1
    • assigned_to: dwdeath --> nobody
     
  • the_mgt
    the_mgt
    2005-06-16

    Logged In: YES
    user_id=1297619

    hmmm, looking under the http-cvs link on your homepage, it
    seems that you didn't change any of the xorg files recently.

    I tried the latest xorg-6.8.99.8-ebuild from gentoo last sunday, that
    didn't work, i changed back to 6.8.2-r1 and patched it, as usual.
    Now it won't load the drm module, when xorg starts. I tried it with
    modules, that worked before, but it doesn't anymore. Since I did't
    change anything else on my epia, i thought it where the
    unichrome xorg patches....
    But it is possibly just me being stupid.

     
  • the_mgt
    the_mgt
    2005-06-17

    Logged In: YES
    user_id=1297619

    Please delete the Bug, it was me being stupid!! Sorry.

     
  • the_mgt
    the_mgt
    2005-08-26

    Logged In: YES
    user_id=1297619

    Ok, i discovered the problem:
    I used different versions of scripts to build the drm modules, and
    one of them was buggy, but it is a logical bug, in a way. The
    problem is, the MESA from dri.sf.net builds with "unichrome" for
    the unichrome chip, but DRM builds for unichrome with "via".
    Maybe this is because the module is called via, but i would prefer
    uniformity. The part for building the DRM module for unichrome is
    not mentioned in the howto (so you have to guess if its via or
    unichrome, and i think everyone presumes "unichrome").
    Maybe this was one of my earliest script verions, where i used
    "unichrome" for both builds. My incompatibility was caused,
    because my script didn't build a new and replace an older version
    of the via.ko module, which was still in the kernels module
    directory. So there was a via.ko, and i thought it was build by my
    script. This was the module incompatible with latest xorg-
    unichrome drivers.
    Next time i will check the creation date of the modules first ;)

     
  • Luc Verhaegen
    Luc Verhaegen
    2005-10-25

    • status: open --> closed-fixed